/****************************************************************************
*
* LARAFLAR.H
*
* PROGRAMMER : Chris
*    VERSION : 00.00
*    CREATED : 01/06/98
*   MODIFIED : 01/06/98
*       TABS : 5
*
* DESCRIPTION
*	Header file for LARAFLAR.C
*
*****************************************************************************/

#ifndef _LARAFLAR_H
#define _LARAFLAR_H

#ifdef __cplusplus
extern "C" {
#endif

/*---------------------------------------------------------------------------
 *	Import Headers
\*--------------------------------------------------------------------------*/

#ifdef PSX_VERSION
#include "../spec_psx/typedefs.h"
#include "../spec_psx/3d_gen.h"
#else
#include "..\specific\stypes.h"
#endif

#include "items.h"

/*---------------------------------------------------------------------------
 *	Constants
\*--------------------------------------------------------------------------*/

/* -------- Flare animation frames */

#define FL_HOLD_FT		1
#define FL_THROW_FT		32
#define FL_DRAW_FT		39
#define FL_IGNITE_FT	23
#define FL_2HOLD_FT		15

#define FL_HOLD_F		0
#define FL_THROW_F		(FL_HOLD_F+FL_HOLD_FT)
#define FL_DRAW_F		(FL_THROW_F+FL_THROW_FT)
#define FL_IGNITE_F		(FL_DRAW_F+FL_DRAW_FT)
#define FL_2HOLD_F		(FL_IGNITE_F+FL_IGNITE_FT)
#define FL_END_F		(FL_2HOLD_F+FL_2HOLD_FT)

#define FL_DRAWGOTIT_F	(13+FL_DRAW_F)
#define FL_PICKUP_F		(58+FL_PICKINGUP_F)
#define FL_THROWRELEASE_F (20+FL_THROW_F)

#define FL_THROW_FRAMES	32

/*---------------------------------------------------------------------------
 *	Prototypes
\*--------------------------------------------------------------------------*/

extern int  DoFlareLight(PHD_VECTOR *pos, int flare_age);
extern void DoFlareInHand(int flare_age);
extern void DrawFlareInAir(ITEM_INFO *item);
extern void CreateFlare(int thrown);
extern void set_flare_arm(int frame);
extern void draw_flare();
extern void undraw_flare();
extern void draw_flare_meshes();
extern void undraw_flare_meshes();
extern void ready_flare();
extern void FlareControl(sint16 item_number);

#ifdef __cplusplus
}
#endif

#endif
